Skip to main content
POST
/
index
/
{id}
/
debug
{
  "stages": [
    {
      "type": "<string>",
      "id": "<string>",
      "skip": false,
      "label": "<string>",
      "condition": "<string>"
    }
  ],
  "output": {},
  "outputEncounteredCount": 123
}

Path Parameters

id
string
required

The ID of the index profile to use

Query Parameters

simulate
boolean
default:false

If true, documents are not sent to Solr for indexing; the solr-index stage will be skipped

echo
boolean
default:true

If true, return the list of documents indexed; otherwise no output is returned when the pipeline has finished

echoMaxCount
integer<int32>
default:100

The maximum number of documents to list in the output

bufferDocsForSolr
boolean

If true, documents are buffered before sending to Solr; this is an asynchronous mode and may give faster performance when indexing a large number of documents

Body

A PipelineDocument or JSON document

The body is of type unknown.

Response

successful operation

stages
object[]
output
object
outputEncounteredCount
integer<int64>